> ## Name

> cgD3D9SetTextureParameter - sets the value of a texture parameter

> ## Synopsis

>     #include <Cg/cgD3D9.h>

>     void cgD3D9SetTextureParameter( CGparameter param,
>                                     IDirect3DBaseTexture9 * texture );

> ## Parameters

> param
>   The texture parameter that will be set.
> texture
>   An D3D texture to which the parameter will be set.

> ## Return Values

> None.

> ## Description

> cgD3D9SetTextureParameter sets the value of a texture parameter to a given D3D9 texture object.

> cgD3D9SetTextureParameter is to be used for setting texture parameters in a CgFX effect instead of cgD3D9SetTexture.

> ## Examples

>     IDirect3DTexture9 *myTexture;
>     // Assume myTexture is loaded here...

>     // param is an effect sampler parameter
>     cgD3D9SetTextureParameter( param, myTexture );

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter handle.

> ## History

> cgD3D9SetTextureParameter was introduced in Cg 1.5.

> ## See Also

> cgD3D9GetTextureParameter, cgD3D9SetManageTextureParameters